function LB_activation
close all;clc;clf
figure,set(gcf,'color','w')
set(0,'defaultaxesfontsize',20)

% F0_oscillator

dt = .01;

F0 = [.01];
In = [.01];

alpha_osc = 4/12.5;

for t = 2 : 10000
    F0(t) = (F0(t-1) - (F0(t-1)^3)/3 - In(t-1) + .5)*dt + F0(t-1);
    In(t) = ((alpha_osc * (F0(t-1) + .7 - (.8*In(t-1)))) * dt) + In(t-1);
end

%LB_activation
L = [.01];
B = [.01];

alpha = .1/12.5;
beta = .8;
bias = .7;


for t = 2 : 10000
    L(t) = (L(t-1) - (L(t-1)^3)/3 - B(t-1) + .5)*dt + L(t-1);
    B(t) = ((alpha * (L(t-1) + bias - (beta*B(t-1)))) * dt) + B(t-1);
end

B_shift = B(2:end);
L_shift = L(2:end);

B_trunc = L(1: end-1);
W_trunc = B(1: end-1);

cross = ((B_shift > L_shift) & (W_trunc < B_trunc));

subplot (2,1,1)
plot(L,'r','linewidth',2),hold on
plot(B,'b','linewidth',2)
xlabel('t')
%legend('L','B')
title ([' Crossing at: ' num2str(find(cross))]);
hold off

subplot (2,1,2)
plot(F0,'r','linewidth',2),hold on
plot(In,'b','linewidth',2)
xlabel('t')
%legend('F0','In')
hold off

ginput

