function LB_activation
close all;clc;clf
figure,set(gcf,'color','w')
set(0,'defaultaxesfontsize',20)


dt = .01;
L = [.01];
B = [.01];


alpha = .1/12.5;
beta = .8;
bias = .7;
for t = 2 : 10000
    L(t) = (L(t-1) - (L(t-1)^3)/3 - B(t-1) + .5)*dt + L(t-1);
    B(t) = ((alpha * (L(t-1) + bias - (beta*B(t-1))) ) * dt) + B(t-1);
end

B_shift = B(2:end);
L_shift = L(2:end);

B_trunc = B(1: end-1);
L_trunc = L(1: end-1);

cross = ((B_shift > L_shift) & (B_trunc < L_trunc));


plot(L,'r','linewidth',2),hold on
plot(B,'b','linewidth',2)
xlabel('t')
legend('L','B')
title ([' Crossing at: ' num2str(find(cross))]);
hold off
